Skip to main content
POST
/
api
/
v1
/
ops
/
support-cases
/
{supportCaseId}
/
attachments
Create Support Case Attachment
curl --request POST \
  --url https://api.example.com/api/v1/ops/support-cases/{supportCaseId}/attachments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "storageKey": "<string>",
  "fileName": "<string>",
  "contentType": "<string>",
  "sizeBytes": 123,
  "supportCaseMessageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "supportCaseAttachmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "supportCaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "supportCaseMessageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "uploadedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "storageKey": "<string>",
  "fileName": "<string>",
  "contentType": "<string>",
  "sizeBytes": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

supportCaseId
string<uuid>
required

Support case identifier

Example:

"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"

Query Parameters

fields
string

Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.

Body

application/json

Create support case attachment payload

storageKey
string
required

Chave do objeto no storage

fileName
string
required

Nome original do arquivo

contentType
string
required

MIME type do arquivo

sizeBytes
integer
required

Tamanho do arquivo em bytes

supportCaseMessageId
string<uuid> | null

Referência à mensagem que originou o anexo

Response

OK

Anexo associado a um chamado ou mensagem de suporte

supportCaseAttachmentId
string<uuid>
required

Identificador único

supportCaseId
string<uuid>
required

Referência ao chamado

supportCaseMessageId
string<uuid> | null
required

Referência à mensagem que originou o anexo

uploadedByUserId
string<uuid> | null
required

Usuário que enviou o arquivo

storageKey
string
required

Chave do objeto no storage

fileName
string
required

Nome original do arquivo

contentType
string
required

MIME type do arquivo

sizeBytes
integer
required

Tamanho do arquivo em bytes

createdAt
string<date-time>
required

Data de criação

deletedAt
string<date-time> | null
required

Data de remoção lógica